Package com.sun.jna.platform.win32

## Class Wincon.CONSOLE_SCREEN_BUFFER_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wincon.CONSOLE_SCREEN_BUFFER_INFO

Enclosing interface:
  Wincon

    @FieldOrder({"dwSize","dwCursorPosition","wAttributes","srWindow","dwMaximumWindowSize"})
    public static class Wincon.CONSOLE_SCREEN_BUFFER_INFO
    extends Structure

CONSOLE_SCREEN_BUFFER_INFO structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`Wincon.COORD` `dwCursorPosition`
`Wincon.COORD` `dwMaximumWindowSize`
`Wincon.COORD` `dwSize`
`Wincon.SMALL_RECT` `srWindow`
`short` `wAttributes`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`CONSOLE_SCREEN_BUFFER_INFO()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwSize

    public Wincon.COORD dwSize

#### dwCursorPosition

    public Wincon.COORD dwCursorPosition

#### wAttributes

    public short wAttributes

#### srWindow

    public Wincon.SMALL_RECT srWindow

#### dwMaximumWindowSize

    public Wincon.COORD dwMaximumWindowSize

### Constructor Detail

#### CONSOLE_SCREEN_BUFFER_INFO

    public CONSOLE_SCREEN_BUFFER_INFO()

### Method Detail

#### toString

    public java.lang.String toString()

Description copied from class: `Structure`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

Overrides:
  `toString` in class `Structure`
Returns:
  String representation of this object.